Manuel PHP
Précédent | Chapitre 3. Installation | Suivant

# Installation sous Unix et Mac OS X

Cette section contient les notes et conseils pour installer `PHP` sur un serveur Mac OS X Server.

## Utilisation des paquets

Il existe quelques versions pré-packagées et pré-compilées de `PHP` pour MacOSX. Cela peut être utile pour mettre en place une configuration standard, mais si vous avez besoin d'accéder à des fonctionnalités spécifiques (comme un serveur sécurisé, ou un pilote de bases de données exotiques), vous aurez à compiler `PHP` et/ou votre serveur web vous-même. Si vous n'êtes pas familiers avec la compilation et la mise en place d'applications, il est bon de vérifier si personne d'autre n'a réalisé un package.

## Compilation pour OS X server

Il existe deux versions légèrement différentes de Mac OS X, le client et le serveur. Les lignes ci-dessous sont pour OS X Server.

Exemple 3-1. Installation sur Mac OS X server

    1. Get the latest distributions of Apache and PHP
    2. Untar them, and run the configure program on Apache like so.
        ./configure --exec-prefix=/usr \
        --localstatedir=/var \
        --mandir=/usr/share/man \
        --libexecdir=/System/Library/Apache/Modules \
        --iconsdir=/System/Library/Apache/Icons \
        --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
        --enable-shared=max \
        --enable-module=most \
        --target=apache

    4. You may also want to add this line:
        setenv OPTIM=-O2
        If you want the compiler to do some optimization.

    5. Next, go to the PHP 4 source directory and configure it.
        ./configure --prefix=/usr \
        --sysconfdir=/etc \
        --localstatedir=/var \
        --mandir=/usr/share/man \
        --with-xml \
        --with-apache=/src/apache_1.3.12

        If you have any other additions (MySQL, GD, etc.), be sure to add
        them here. For the --with-apache string, put in the path to your
        apache source directory, for example "/src/apache_1.3.12".
    6. make
    7. make install
        This will add a directory to your Apache source directory under
        src/modules/php4.

    8. Now, reconfigure Apache to build in PHP 4.
        ./configure --exec-prefix=/usr \
        --localstatedir=/var \
        --mandir=/usr/share/man \
        --libexecdir=/System/Library/Apache/Modules \
        --iconsdir=/System/Library/Apache/Icons \
        --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
        --enable-shared=max \
        --enable-module=most \
        --target=apache \
        --activate-module=src/modules/php4/libphp4.a

        You may get a message telling you that libmodphp4.a is out of date.
        If so, go to the src/modules/php4 directory inside your apache
        source directory and run this command:

        ranlib libmodphp4.a

        Then go back to the root of the apache source directory and run the
        above configure command again. That'll bring the link table up to
        date.

    9. make

    10. make install

    11. copy and rename the php.ini-dist file to your "bin" directory from your
        PHP 4 source directory:
        cp php.ini-dist /usr/local/bin/php.ini

        or (if your don't have a local directory)

        cp php.ini-dist /usr/bin/php.ini

## Compilation pour MacOS X client

Ces conseils sont fournis gracieusement par Marc Liyanage.

Le module `PHP` d'Apache est inclus dans l'installation de Mac OS X. Cette version inclut le support des bases de données MySQL et PostgreSQL.

NOTE: Attention lors des manipulations ci-dessous : vous pourriez détruire la configuration de votre serveur.

Faites ceci :

- 1. Ouvrez une fenêtre de terminal

- 2. Tapez "wget http://www.diax.ch/users/liyanage/software/macosx/libphp4.so.gz", et attendez le téléchargement.

- 3. Tapez "gunzip libphp4.so.gz"

- 4. Tapez "sudo apxs -i -a -n php4 libphp4.so"

Maintenant, tapez "`sudo open -a TextEdit /etc/httpd/httpd.conf`" TextEdit va ouvrir le fichier de configuration de votre serveur web. Recherchez les deux lignes suivantes, à la fin du fichier (utilisez la commande de recherche) :

    #AddType application/x-httpd-php .php
       #AddType application/x-httpd-php-source .phps

Supprimez les deux signes dièse (`#`), puis sauvez le fichier, et quittez TextEdit.

Finalement, tapez "`sudo apachectl graceful`" pour redémarrer le serveur Apache.

`PHP` devrait être fonctionnel. Vous pouvez le tester en créant un fichier dans votre dossier "Sites", appelé "test.php". Dans ce fichier, écrivez la ligne ci-contre : "`<?php phpinfo() ?>`".

Maintenant, ouvrez votre navigateur à l'adresse suivante : `127.0.0.1/~your_username/test.php`. Vous devriez obtenir la page d'information de `phpinfo`.

Précédent | Sommaire | Suivant
Installation sous Linux/Unix | Niveau supérieur | Installations Unix/OpenBSD